Page MenuHomePhabricator

Update block logs with partial block details
Closed, ResolvedPublic3 Story Points

Description

Acceptance Criteria

  • Should display everywhere the current block displays: user page, Special:Contributions, Special:Block, and Special:Log
  • Log should include TIMESTAMP Admin-who-blocked (t|c|b) blocked BadApples (t|c) from editing the page(s) Foobar with an expiration time of N (reason) (unblock | change block)
  • If the user is blocked from multiple pages, they should appear in one single log entry, with the page name separated by a comma.

Related Objects

Event Timeline

dbarratt triaged this task as Normal priority.Jun 13 2018, 1:31 PM
dbarratt created this task.
Vvjjkkii renamed this task from Update block logs with partial block details to 33aaaaaaaa.Jul 1 2018, 1:04 AM
Vvjjkkii raised the priority of this task from Normal to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
Frakir removed a subscriber: Frakir.Jul 1 2018, 5:16 PM
Vachovec1 renamed this task from 33aaaaaaaa to Update block logs with partial block details.Jul 1 2018, 5:52 PM
Vachovec1 lowered the priority of this task from High to Normal.
Vachovec1 updated the task description. (Show Details)
Vachovec1 added a subscriber: Aklapper.
dmaza claimed this task.Aug 10 2018, 8:44 PM
dmaza moved this task from Ready to In progress on the Anti-Harassment (AHT Sprint 26) board.

@dmaza I think T197117 is the next task in the graph, but if you can complete this one before it's subtasks than go for it, but I think we figured that wouldn't be possible for some reason? perhaps the log only tracks when they are saved?

dmaza added a comment.Aug 13 2018, 5:03 PM

@dbarratt you are right.. I'll start on T197117 first.

dbarratt removed dmaza as the assignee of this task.Aug 13 2018, 6:02 PM
dbarratt added a subscriber: dmaza.
TBolliger set the point value for this task to 3.
  • Unblocks says the block was removed
  • Block modifications do not need to show a diff
dmaza claimed this task.Sep 7 2018, 5:14 AM
dmaza moved this task from Ready to In progress on the Anti-Harassment (AHT Sprint 28) board.
-jkb- removed a subscriber: -jkb-.Sep 7 2018, 7:47 AM
TBolliger updated the task description. (Show Details)Sep 10 2018, 5:18 PM
TBolliger updated the task description. (Show Details)

Just a note to clarify: the acceptance criteria listed in the description of this task are for the MVP release of Partial Blocks. We plan to extend the limit from 10 pages (T202776: Determine then implement page limit for partial blocks) which will affect log length, which will be determined in T202781: Determine then implement the proper way to log partial blocks. We hope to decide this during the Beta release.

dmaza added a comment.EditedSep 17 2018, 4:54 AM

@TBolliger, see below the sample messages for re-block and unblock

03:57, 10 September 2018 Admin (talk | contribs | block) changed block settings for Test1 (talk | contribs) with an expiration time of 01:19, 25 September 2018 (account creation disabled, autoblock disabled, cannot edit own talk page) (Extending block length) (unblock | change block)
--
04:45, 10 September 2018 Admin (talk | contribs | block) unblocked Test1 (talk | contribs) (Wrong user name. Removing block)

I don't think unblock should change since there is no need to list any restrictions but the re-block message could. How does this sounds?

03:57, 10 September 2018 Admin (talk | contribs | block) changed block settings for Test1 (talk | contribs) preventing edits on the page(s) Foobar with an expiration time of 01:19, 25 September 2018 (account creation disabled, autoblock disabled, cannot edit own talk page, partial block) (Extending block length) (unblock | change block)

We also allow for partial blocks without any page/namespace specified (E.g. prevent from sending email). I'm not sure how the log message should look like in those scenarios where it is no longer an editing block

@TBolliger, see below the sample messages for re-block and unblock

03:57, 10 September 2018 Admin (talk | contribs | block) changed block settings for Test1 (talk | contribs) with an expiration time of 01:19, 25 September 2018 (account creation disabled, autoblock disabled, cannot edit own talk page) (Extending block length) (unblock | change block)
--
04:45, 10 September 2018 Admin (talk | contribs | block) unblocked Test1 (talk | contribs) (Wrong user name. Removing block)

I don't think unblock should change since there is no need to list any restrictions but the re-block message could. How does this sounds?

03:57, 10 September 2018 Admin (talk | contribs | block) changed block settings for Test1 (talk | contribs) preventing edits on the page(s) Foobar with an expiration time of 01:19, 25 September 2018 (account creation disabled, autoblock disabled, cannot edit own talk page, partial block) (Extending block length) (unblock | change block)

I agree that the unblock message does not need to be updated. Your proposed modified block log entry looks great! Go with it.

We also allow for partial blocks without any page/namespace specified (E.g. prevent from sending email). I'm not sure how the log message should look like in those scenarios where it is no longer an editing block

Good catch. Do we need to fix this in this task, or in a future task?

With the exception of the options we will add soon (upload, move page, + create page) these are already noted in the parenthesis part of the block log. We don't need to list them twice, so what about something along the lines of:

TIMESTAMP Admin-who-blocked (t|c|b) blocked BadApples (t|c) from non-editing actions with an expiration time of N (parameters) (reason) (unblock | change block)
dmaza added a comment.Sep 18 2018, 8:25 PM

Good catch. Do we need to fix this in this task, or in a future task?

With the exception of the options we will add soon (upload, move page, + create page) these are already noted in the parenthesis part of the block log. We don't need to list them twice, so what about something along the lines of:

TIMESTAMP Admin-who-blocked (t|c|b) blocked BadApples (t|c) from non-editing actions with an expiration time of N (parameters) (reason) (unblock | change block)

We should probably address it as part of this task. That message looks good to me.

What do you think about this one for re-blocks with no restrictions?

TIMESTAMP Admin-who-blocked (t|c|b) changed block settings for BadApples (t|c) for non-editing actions with an expiration time of N (parameters) (reason) (unblock | change block)

What do you think about this one for re-blocks with no restrictions?

TIMESTAMP Admin-who-blocked (t|c|b) changed block settings for BadApples (t|c) for non-editing actions with an expiration time of N (parameters) (reason) (unblock | change block)

👍

Change 461278 had a related patch set uploaded (by Dmaza; owner: Dmaza):
[mediawiki/core@master] [WIP] - Add partial block details to block-log entries.

https://gerrit.wikimedia.org/r/461278

Change 461278 merged by jenkins-bot:
[mediawiki/core@master] Add partial block details to block-log entries.

https://gerrit.wikimedia.org/r/461278